Package org.w3._1999.xhtml

# Class ObjectFactory

java.lang.Object
org.w3._1999.xhtml.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the org.w3._1999.xhtml package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.w3._1999.xhtml

- ## Method Summary

  Modifier and Type
  Method
  Description
  `A`
  `createA()`
  Create an instance of `A`
  `Abbr`
  `createAbbr()`
  Create an instance of `Abbr`
  `AContent`
  `createAContent()`
  Create an instance of `AContent`
  `Acronym`
  `createAcronym()`
  Create an instance of `Acronym`
  `Address`
  `createAddress()`
  Create an instance of `Address`
  `Area`
  `createArea()`
  Create an instance of `Area`
  `B`
  `createB()`
  Create an instance of `B`
  `Base`
  `createBase()`
  Create an instance of `Base`
  `Bdo`
  `createBdo()`
  Create an instance of `Bdo`
  `Big`
  `createBig()`
  Create an instance of `Big`
  `Block`
  `createBlock()`
  Create an instance of `Block`
  `Blockquote`
  `createBlockquote()`
  Create an instance of `Blockquote`
  `Body`
  `createBody()`
  Create an instance of `Body`
  `Br`
  `createBr()`
  Create an instance of `Br`
  `Button`
  `createButton()`
  Create an instance of `Button`
  `ButtonContent`
  `createButtonContent()`
  Create an instance of `ButtonContent`
  `Caption`
  `createCaption()`
  Create an instance of `Caption`
  `Cite`
  `createCite()`
  Create an instance of `Cite`
  `Code`
  `createCode()`
  Create an instance of `Code`
  `Col`
  `createCol()`
  Create an instance of `Col`
  `Colgroup`
  `createColgroup()`
  Create an instance of `Colgroup`
  `Dd`
  `createDd()`
  Create an instance of `Dd`
  `Del`
  `createDel()`
  Create an instance of `Del`
  `Dfn`
  `createDfn()`
  Create an instance of `Dfn`
  `Div`
  `createDiv()`
  Create an instance of `Div`
  `Dl`
  `createDl()`
  Create an instance of `Dl`
  `Dt`
  `createDt()`
  Create an instance of `Dt`
  `Em`
  `createEm()`
  Create an instance of `Em`
  `Fieldset`
  `createFieldset()`
  Create an instance of `Fieldset`
  `Flow`
  `createFlow()`
  Create an instance of `Flow`
  `Form`
  `createForm()`
  Create an instance of `Form`
  `FormContent`
  `createFormContent()`
  Create an instance of `FormContent`
  `H1`
  `createH1()`
  Create an instance of `H1`
  `H2`
  `createH2()`
  Create an instance of `H2`
  `H3`
  `createH3()`
  Create an instance of `H3`
  `H4`
  `createH4()`
  Create an instance of `H4`
  `H5`
  `createH5()`
  Create an instance of `H5`
  `H6`
  `createH6()`
  Create an instance of `H6`
  `Head`
  `createHead()`
  Create an instance of `Head`
  `Hr`
  `createHr()`
  Create an instance of `Hr`
  `Html`
  `createHtml()`
  Create an instance of `Html`
  `I`
  `createI()`
  Create an instance of `I`
  `Img`
  `createImg()`
  Create an instance of `Img`
  `Inline`
  `createInline()`
  Create an instance of `Inline`
  `Input`
  `createInput()`
  Create an instance of `Input`
  `Ins`
  `createIns()`
  Create an instance of `Ins`
  `Kbd`
  `createKbd()`
  Create an instance of `Kbd`
  `Label`
  `createLabel()`
  Create an instance of `Label`
  `Legend`
  `createLegend()`
  Create an instance of `Legend`
  `Li`
  `createLi()`
  Create an instance of `Li`
  `Link`
  `createLink()`
  Create an instance of `Link`
  `Map`
  `createMap()`
  Create an instance of `Map`
  `Meta`
  `createMeta()`
  Create an instance of `Meta`
  `Noscript`
  `createNoscript()`
  Create an instance of `Noscript`
  `Object`
  `createObject()`
  Create an instance of `Object`
  `Ol`
  `createOl()`
  Create an instance of `Ol`
  `Optgroup`
  `createOptgroup()`
  Create an instance of `Optgroup`
  `Option`
  `createOption()`
  Create an instance of `Option`
  `P`
  `createP()`
  Create an instance of `P`
  `Param`
  `createParam()`
  Create an instance of `Param`
  `Pre`
  `createPre()`
  Create an instance of `Pre`
  `PreContent`
  `createPreContent()`
  Create an instance of `PreContent`
  `Q`
  `createQ()`
  Create an instance of `Q`
  `Samp`
  `createSamp()`
  Create an instance of `Samp`
  `Script`
  `createScript()`
  Create an instance of `Script`
  `Select`
  `createSelect()`
  Create an instance of `Select`
  `Small`
  `createSmall()`
  Create an instance of `Small`
  `Span`
  `createSpan()`
  Create an instance of `Span`
  `Strong`
  `createStrong()`
  Create an instance of `Strong`
  `Style`
  `createStyle()`
  Create an instance of `Style`
  `Sub`
  `createSub()`
  Create an instance of `Sub`
  `Sup`
  `createSup()`
  Create an instance of `Sup`
  `Table`
  `createTable()`
  Create an instance of `Table`
  `Tbody`
  `createTbody()`
  Create an instance of `Tbody`
  `Td`
  `createTd()`
  Create an instance of `Td`
  `Textarea`
  `createTextarea()`
  Create an instance of `Textarea`
  `Tfoot`
  `createTfoot()`
  Create an instance of `Tfoot`
  `Th`
  `createTh()`
  Create an instance of `Th`
  `Thead`
  `createThead()`
  Create an instance of `Thead`
  `Title`
  `createTitle()`
  Create an instance of `Title`
  `Tr`
  `createTr()`
  Create an instance of `Tr`
  `Tt`
  `createTt()`
  Create an instance of `Tt`
  `Ul`
  `createUl()`
  Create an instance of `Ul`
  `Var`
  `createVar()`
  Create an instance of `Var`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.w3._1999.xhtml

- ## Method Details

  - ### createHtml

    public Html createHtml()
    Create an instance of `Html`
    Returns:
      the new instance of `Html`

  - ### createHead

    public Head createHead()
    Create an instance of `Head`
    Returns:
      the new instance of `Head`

  - ### createScript

    public Script createScript()
    Create an instance of `Script`
    Returns:
      the new instance of `Script`

  - ### createStyle

    public Style createStyle()
    Create an instance of `Style`
    Returns:
      the new instance of `Style`

  - ### createMeta

    public Meta createMeta()
    Create an instance of `Meta`
    Returns:
      the new instance of `Meta`

  - ### createLink

    public Link createLink()
    Create an instance of `Link`
    Returns:
      the new instance of `Link`

  - ### createObject

    public Object createObject()
    Create an instance of `Object`
    Returns:
      the new instance of `Object`

  - ### createParam

    public Param createParam()
    Create an instance of `Param`
    Returns:
      the new instance of `Param`

  - ### createP

    public P createP()
    Create an instance of `P`
    Returns:
      the new instance of `P`

  - ### createInline

    public Inline createInline()
    Create an instance of `Inline`
    Returns:
      the new instance of `Inline`

  - ### createA

    public A createA()
    Create an instance of `A`
    Returns:
      the new instance of `A`

  - ### createAContent

    public AContent createAContent()
    Create an instance of `AContent`
    Returns:
      the new instance of `AContent`

  - ### createBr

    public Br createBr()
    Create an instance of `Br`
    Returns:
      the new instance of `Br`

  - ### createSpan

    public Span createSpan()
    Create an instance of `Span`
    Returns:
      the new instance of `Span`

  - ### createBdo

    public Bdo createBdo()
    Create an instance of `Bdo`
    Returns:
      the new instance of `Bdo`

  - ### createMap

    public Map createMap()
    Create an instance of `Map`
    Returns:
      the new instance of `Map`

  - ### createH1

    public H1 createH1()
    Create an instance of `H1`
    Returns:
      the new instance of `H1`

  - ### createH2

    public H2 createH2()
    Create an instance of `H2`
    Returns:
      the new instance of `H2`

  - ### createH3

    public H3 createH3()
    Create an instance of `H3`
    Returns:
      the new instance of `H3`

  - ### createH4

    public H4 createH4()
    Create an instance of `H4`
    Returns:
      the new instance of `H4`

  - ### createH5

    public H5 createH5()
    Create an instance of `H5`
    Returns:
      the new instance of `H5`

  - ### createH6

    public H6 createH6()
    Create an instance of `H6`
    Returns:
      the new instance of `H6`

  - ### createDiv

    public Div createDiv()
    Create an instance of `Div`
    Returns:
      the new instance of `Div`

  - ### createFlow

    public Flow createFlow()
    Create an instance of `Flow`
    Returns:
      the new instance of `Flow`

  - ### createUl

    public Ul createUl()
    Create an instance of `Ul`
    Returns:
      the new instance of `Ul`

  - ### createLi

    public Li createLi()
    Create an instance of `Li`
    Returns:
      the new instance of `Li`

  - ### createOl

    public Ol createOl()
    Create an instance of `Ol`
    Returns:
      the new instance of `Ol`

  - ### createDl

    public Dl createDl()
    Create an instance of `Dl`
    Returns:
      the new instance of `Dl`

  - ### createDt

    public Dt createDt()
    Create an instance of `Dt`
    Returns:
      the new instance of `Dt`

  - ### createDd

    public Dd createDd()
    Create an instance of `Dd`
    Returns:
      the new instance of `Dd`

  - ### createPre

    public Pre createPre()
    Create an instance of `Pre`
    Returns:
      the new instance of `Pre`

  - ### createPreContent

    public PreContent createPreContent()
    Create an instance of `PreContent`
    Returns:
      the new instance of `PreContent`

  - ### createTt

    public Tt createTt()
    Create an instance of `Tt`
    Returns:
      the new instance of `Tt`

  - ### createI

    public I createI()
    Create an instance of `I`
    Returns:
      the new instance of `I`

  - ### createB

    public B createB()
    Create an instance of `B`
    Returns:
      the new instance of `B`

  - ### createBig

    public Big createBig()
    Create an instance of `Big`
    Returns:
      the new instance of `Big`

  - ### createSmall

    public Small createSmall()
    Create an instance of `Small`
    Returns:
      the new instance of `Small`

  - ### createEm

    public Em createEm()
    Create an instance of `Em`
    Returns:
      the new instance of `Em`

  - ### createStrong

    public Strong createStrong()
    Create an instance of `Strong`
    Returns:
      the new instance of `Strong`

  - ### createDfn

    public Dfn createDfn()
    Create an instance of `Dfn`
    Returns:
      the new instance of `Dfn`

  - ### createCode

    public Code createCode()
    Create an instance of `Code`
    Returns:
      the new instance of `Code`

  - ### createQ

    public Q createQ()
    Create an instance of `Q`
    Returns:
      the new instance of `Q`

  - ### createSamp

    public Samp createSamp()
    Create an instance of `Samp`
    Returns:
      the new instance of `Samp`

  - ### createKbd

    public Kbd createKbd()
    Create an instance of `Kbd`
    Returns:
      the new instance of `Kbd`

  - ### createVar

    public Var createVar()
    Create an instance of `Var`
    Returns:
      the new instance of `Var`

  - ### createCite

    public Cite createCite()
    Create an instance of `Cite`
    Returns:
      the new instance of `Cite`

  - ### createAbbr

    public Abbr createAbbr()
    Create an instance of `Abbr`
    Returns:
      the new instance of `Abbr`

  - ### createAcronym

    public Acronym createAcronym()
    Create an instance of `Acronym`
    Returns:
      the new instance of `Acronym`

  - ### createSub

    public Sub createSub()
    Create an instance of `Sub`
    Returns:
      the new instance of `Sub`

  - ### createSup

    public Sup createSup()
    Create an instance of `Sup`
    Returns:
      the new instance of `Sup`

  - ### createIns

    public Ins createIns()
    Create an instance of `Ins`
    Returns:
      the new instance of `Ins`

  - ### createDel

    public Del createDel()
    Create an instance of `Del`
    Returns:
      the new instance of `Del`

  - ### createInput

    public Input createInput()
    Create an instance of `Input`
    Returns:
      the new instance of `Input`

  - ### createSelect

    public Select createSelect()
    Create an instance of `Select`
    Returns:
      the new instance of `Select`

  - ### createOptgroup

    public Optgroup createOptgroup()
    Create an instance of `Optgroup`
    Returns:
      the new instance of `Optgroup`

  - ### createOption

    public Option createOption()
    Create an instance of `Option`
    Returns:
      the new instance of `Option`

  - ### createTextarea

    public Textarea createTextarea()
    Create an instance of `Textarea`
    Returns:
      the new instance of `Textarea`

  - ### createLabel

    public Label createLabel()
    Create an instance of `Label`
    Returns:
      the new instance of `Label`

  - ### createButton

    public Button createButton()
    Create an instance of `Button`
    Returns:
      the new instance of `Button`

  - ### createButtonContent

    public ButtonContent createButtonContent()
    Create an instance of `ButtonContent`
    Returns:
      the new instance of `ButtonContent`

  - ### createHr

    public Hr createHr()
    Create an instance of `Hr`
    Returns:
      the new instance of `Hr`

  - ### createBlockquote

    public Blockquote createBlockquote()
    Create an instance of `Blockquote`
    Returns:
      the new instance of `Blockquote`

  - ### createBlock

    public Block createBlock()
    Create an instance of `Block`
    Returns:
      the new instance of `Block`

  - ### createAddress

    public Address createAddress()
    Create an instance of `Address`
    Returns:
      the new instance of `Address`

  - ### createFieldset

    public Fieldset createFieldset()
    Create an instance of `Fieldset`
    Returns:
      the new instance of `Fieldset`

  - ### createLegend

    public Legend createLegend()
    Create an instance of `Legend`
    Returns:
      the new instance of `Legend`

  - ### createTable

    public Table createTable()
    Create an instance of `Table`
    Returns:
      the new instance of `Table`

  - ### createCaption

    public Caption createCaption()
    Create an instance of `Caption`
    Returns:
      the new instance of `Caption`

  - ### createCol

    public Col createCol()
    Create an instance of `Col`
    Returns:
      the new instance of `Col`

  - ### createColgroup

    public Colgroup createColgroup()
    Create an instance of `Colgroup`
    Returns:
      the new instance of `Colgroup`

  - ### createThead

    public Thead createThead()
    Create an instance of `Thead`
    Returns:
      the new instance of `Thead`

  - ### createTr

    public Tr createTr()
    Create an instance of `Tr`
    Returns:
      the new instance of `Tr`

  - ### createTh

    public Th createTh()
    Create an instance of `Th`
    Returns:
      the new instance of `Th`

  - ### createTd

    public Td createTd()
    Create an instance of `Td`
    Returns:
      the new instance of `Td`

  - ### createTfoot

    public Tfoot createTfoot()
    Create an instance of `Tfoot`
    Returns:
      the new instance of `Tfoot`

  - ### createTbody

    public Tbody createTbody()
    Create an instance of `Tbody`
    Returns:
      the new instance of `Tbody`

  - ### createForm

    public Form createForm()
    Create an instance of `Form`
    Returns:
      the new instance of `Form`

  - ### createFormContent

    public FormContent createFormContent()
    Create an instance of `FormContent`
    Returns:
      the new instance of `FormContent`

  - ### createNoscript

    public Noscript createNoscript()
    Create an instance of `Noscript`
    Returns:
      the new instance of `Noscript`

  - ### createImg

    public Img createImg()
    Create an instance of `Img`
    Returns:
      the new instance of `Img`

  - ### createArea

    public Area createArea()
    Create an instance of `Area`
    Returns:
      the new instance of `Area`

  - ### createTitle

    public Title createTitle()
    Create an instance of `Title`
    Returns:
      the new instance of `Title`

  - ### createBase

    public Base createBase()
    Create an instance of `Base`
    Returns:
      the new instance of `Base`

  - ### createBody

    public Body createBody()
    Create an instance of `Body`
    Returns:
      the new instance of `Body`